"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _superagent = _interopRequireDefault(require("superagent"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const _process$env = process.env,
      SMS_PROJECT = _process$env.SMS_PROJECT,
      SMS_APPID = _process$env.SMS_APPID,
      SMS_APPKEY = _process$env.SMS_APPKEY;

var _default = (to, code) => _superagent.default.post('https://api.mysubmail.com/message/xsend.json').type('form').send({
  to,
  vars: JSON.stringify({
    code,
    time: '10'
  }),
  project: SMS_PROJECT,
  appid: SMS_APPID,
  sign_type: 'normal',
  signature: SMS_APPKEY
}).then(res => res.body);
/*
  返回结果示例
  外边要判断status === 'success'

  {
    status: 'success',
    send_id: '342327799ead8704063857f4846d55d4',
    fee: 1,
    sms_credits: '46',
    transactional_sms_credits: '0'
  }
*/


exports.default = _default;