"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _fs = _interopRequireDefault(require("fs"));

var _path = _interopRequireDefault(require("path"));

var _ovis = require("ovis");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const getStat = (0, _ovis.promisify)(_fs.default.stat.bind(_fs.default));
const mkdir = (0, _ovis.promisify)(_fs.default.mkdir.bind(_fs.default));

const mkdirs = async dir => {
  try {
    const isExists = await getStat(dir);
    return isExists.isDirectory();
  } catch (e) {
    if (await mkdirs(_path.default.parse(dir).dir)) {
      return mkdir(dir);
    }
  }
};

var _default = mkdirs;
exports.default = _default;