"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _crypto = _interopRequireDefault(require("crypto"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const toString = o => Object.keys(o).sort().reduce((res, c) => `${res}&${c}=${o[c]}`, '').substring(1);

var _default = ({
  data,
  upperCase,
  addKey,
  hashType = 'md5'
}) => {
  const tempStr = toString(data);
  const signStr = addKey ? `${tempStr}&key=${process.env.KEY}` : tempStr;

  const hashStr = _crypto.default.createHash(hashType).update(signStr).digest('hex');

  return upperCase ? hashStr.toUpperCase() : hashStr;
};

exports.default = _default;