"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _dataloader = _interopRequireDefault(require("dataloader"));

var _ovis = require("ovis");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_dataloader.default.prototype.l = async function (arg, errMessage) {
  try {
    return (0, _ovis.exist)(arg) ? this.load(typeof arg === 'string' ? arg : arg.toString()) : null;
  } catch (e) {
    throw Error(e, errMessage);
  }
};

_dataloader.default.prototype.lm = async function (arg, errMessage) {
  try {
    return (0, _ovis.exist)(arg) && Array.isArray(arg) ? this.loadMany(typeof arg[0] === 'string' ? arg : arg.map(i => i.toString())) : null;
  } catch (e) {
    throw Error(e, errMessage);
  }
};

var _default = _dataloader.default;
exports.default = _default;