"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _load = _interopRequireDefault(require("./load"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = (name, dir, {
  type,
  query,
  mutation,
  subscription
}) => ({
  name,
  loader: '_id',
  collection: name,
  type: type && [type, (0, _load.default)(dir, './type', true)],
  query: query && [query, (0, _load.default)(dir, './query', true, name)],
  mutation: mutation && [mutation, (0, _load.default)(dir, './mutation', true, name)],
  subscription: subscription && [subscription, (0, _load.default)(dir, './subscription', true, name)]
});

exports.default = _default;